This server provides tools to manage Filestore resources like instances, snapshots, and backups.

A [Model Context Protocol (MCP) server](https://modelcontextprotocol.io/docs/learn/server-concepts) acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

### Server Setup


You must [enable MCP servers](https://docs.cloud.google.com/mcp/enable-disable-mcp-servers) and [set up authentication](https://docs.cloud.google.com/mcp/authenticate-mcp) before use. For more information about using Google and Google Cloud remote MCP servers, see [Google Cloud MCP servers overview](https://docs.cloud.google.com/mcp/overview).

### Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The Cloud Filestore API MCP server has the following global MCP endpoint:

- https://file.googleapis.com/mcp

## MCP Tools

An [MCP tool](https://modelcontextprotocol.io/legacy/concepts/tools) is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.

### Tools

The file.googleapis.com MCP server has the following tools:

| MCP Tools ||
|---|---|
| `https://docs.cloud.google.com/filestore/docs/reference/mcp/tools_list/list_instances` | Lists all Filestore instances. |
| `https://docs.cloud.google.com/filestore/docs/reference/mcp/tools_list/get_instance` | Gets the details of a specific Filestore instance. |
| `https://docs.cloud.google.com/filestore/docs/reference/mcp/tools_list/list_snapshots` | Lists all snapshots for a specific Filestore instance. |
| `https://docs.cloud.google.com/filestore/docs/reference/mcp/tools_list/get_snapshot` | Gets the details of a specific snapshot. |
| `https://docs.cloud.google.com/filestore/docs/reference/mcp/tools_list/create_snapshot` | Creates a new snapshot of a Filestore instance. |
| `https://docs.cloud.google.com/filestore/docs/reference/mcp/tools_list/list_backups` | Lists all backups. |
| `https://docs.cloud.google.com/filestore/docs/reference/mcp/tools_list/get_backup` | Gets the details of a specific backup. |
| `https://docs.cloud.google.com/filestore/docs/reference/mcp/tools_list/create_backup` | Creates a new backup. |

### Get MCP tool specifications


To get the MCP tool specifications for all tools in an MCP server, use the `tools/list` method. The following example demonstrates how to use `curl` to list all tools and their specifications currently available within the MCP server.

| Curl Request |
|---|
| ```bash curl --location 'https://file.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' ``` |